This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 150111 - Bash getconf needs quotes on spec file
Bash getconf needs quotes on spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 11:12 EST by Karl Grindley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 11:23:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Grindley 2005-03-02 11:12:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6)
Gecko/20050225 Firefox/1.0.1

Description of problem:
when building .src bash rpm, make fails with below error. (see actual
results)

needs a set of quotes around it in the .spec file.  Resoves issue.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install bash srpm
2. run rpmbuild -bb bash.spc
3. watch it fail
    

Actual Results:  ....
config.status: creating builtins/Makefile
config.status: creating lib/readline/Makefile
config.status: creating lib/glob/Makefile
config.status: creating lib/intl/Makefile
config.status: creating lib/malloc/Makefile
config.status: creating lib/sh/Makefile
config.status: creating lib/termcap/Makefile
config.status: creating lib/tilde/Makefile
config.status: creating doc/Makefile
config.status: creating support/Makefile
config.status: creating po/Makefile.in
config.status: creating examples/loadables/Makefile
config.status: creating examples/loadables/perl/Makefile
config.status: creating pathnames.h
config.status: creating config.h
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing default commands
++ getconf LFS_CFLAGS
+ make CPPFLAGS=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
make: invalid option -- D
make: invalid option -- _
make: invalid option -- F
Usage: make [options] [target] ...
Options:
  -b, -m                      Ignored for compatibility.
  -B, --always-make           Unconditionally make all targets.
  -C DIRECTORY, --directory=DIRECTORY
                              Change to DIRECTORY before doing anything.
  -d                          Print lots of debugging information.
  --debug[=FLAGS]             Print various types of debugging
information.
  -e, --environment-overrides
                              Environment variables override makefiles.
  -f FILE, --file=FILE, --makefile=FILE
                              Read FILE as a makefile.
  -h, --help                  Print this message and exit.
  -i, --ignore-errors         Ignore errors from commands.
  -I DIRECTORY, --include-dir=DIRECTORY
                              Search DIRECTORY for included makefiles.
  -j [N], --jobs[=N]          Allow N jobs at once; infinite jobs with
no arg.
  -k, --keep-going            Keep going when some targets can't be made.
  -l [N], --load-average[=N], --max-load[=N]
                              Don't start multiple jobs unless load is
below N.
  -n, --just-print, --dry-run, --recon
                              Don't actually run any commands; just
print them.
  -o FILE, --old-file=FILE, --assume-old=FILE
                              Consider FILE to be very old and don't
remake it.
  -p, --print-data-base       Print make's internal database.
  -q, --question              Run no commands; exit status says if up
to date.
  -r, --no-builtin-rules      Disable the built-in implicit rules.
  -R, --no-builtin-variables  Disable the built-in variable settings.
  -s, --silent, --quiet       Don't echo commands.
  -S, --no-keep-going, --stop
                              Turns off -k.
  -t, --touch                 Touch targets instead of remaking them.
  -v, --version               Print the version number of make and exit.
  -w, --print-directory       Print the current directory.
  --no-print-directory        Turn off -w, even if it was turned on
implicitly.
  -W FILE, --what-if=FILE, --new-file=FILE, --assume-new=FILE
                              Consider FILE to be infinitely new.
  --warn-undefined-variables  Warn when an undefined variable is
referenced.

This program built for i386-redhat-linux-gnu
Report bugs to <bug-make@gnu.org>
error: Bad exit status from /var/tmp/rpm-tmp.72487 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.72487 (%build)
[root@zoso SPECS]# 




Expected Results:  to build the rpm:

.....

config.status: creating examples/loadables/Makefile
config.status: creating examples/loadables/perl/Makefile
config.status: creating pathnames.h
config.status: creating config.h
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing default commands
++ getconf LFS_CFLAGS
+ make 'CPPFLAGS=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
bison -y -d ./parse.y
conflicts: 1 shift/reduce
touch parser-built
gcc  -DPROGRAM='"bash"' -DCONF_HOSTTYPE='"i686"'
-DCONF_OSTYPE='"linux-gnu"' -DCONF_MACHTYPE='"i686-redhat-linux-gnu"'
-DCONF_VENDOR='"redhat"' -DLOCALEDIR='"/usr/share/locale"'
-DPACKAGE='"bash"' -DSHELL -DHAVE_CONFIG_H  -I.  -I. -I./include
-I./lib   -g -o mksyntax ./mksyntax.c
rm -f syntax.c
./mksyntax -o syntax.c
......

Additional info:

--- bash.spec   2005-03-02 10:02:52.209822752 -0600
+++ bash.spec-orig      2005-03-02 10:02:44.655971112 -0600
@@ -111,7 +111,7 @@
        export PATH=.:$PATH
 fi
 %configure --with-bash-malloc=no --with-afs
-make CPPFLAGS="`getconf LFS_CFLAGS`"
+make CPPFLAGS=`getconf LFS_CFLAGS`
 make check
 
 %install

Note You need to log in before you can comment on or make changes to this bug.